//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define MAXSQLBUFLEN  255
#define MAXSQLCONNOUT 1024

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class SQLBasics{
    public:
		bool DBConnect(char *, char *, char *, char *, char *);
        void DBCloseCursor(HSTMT);
        bool DBExecute(char *, HSTMT *);
        void DBDisconnect(void);
        void DBGetErrorMessage(char *, HSTMT);
        bool DBFetch(HSTMT);
        bool DBGetData(HSTMT, SQLUSMALLINT, SQLSMALLINT, SQLPOINTER, SQLINTEGER, SQLINTEGER *);

        SQLBasics();
        ~SQLBasics();

    private:
        HENV SQLEnvironment;
        HDBC SQLConnection;
        bool Connected;
};

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

